* Encoding: UTF-8.
*******************************************************************************************************************************************************************************************************************.
************************************************* GENERACIN DE TABULADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019 *************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC).
*FUENTE: Encuesta Estructural Empresarial 2019.
*RESPONSABLE: Unidad de Gestin de Estadsticas Estructurales (GESE).
*Fecha de elaboracin: Enero 2021.
*Fecha de ltima actualizacin: 17/03/2021.

*Estimado Usuario. Por favor en el disco C: de su computadora, crear una carpeta llamada "Tabulados Estructural", y coloque la base de datos de la encuesta.
*En esta carpeta se exportarn los resultados de los tabulados. 

****TABULADOS 2019***.

GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

*Utilizar la base con el factor de expansin. 
weight by f_exp.
execute.


*****
*CUADRO 1. NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,
DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL.

*C1-SECCIN.
TABLES
  /OBSERVATION = totalpeoc totremun prodtota consint valag deprecia fbkf_1
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (k+totalpeoc+totremun+prodtota+consint+valag+deprecia+fbkf_1)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 1-A'
           ' NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,' 
           + 'DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C1-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C1-TAMAO.
TABLES
  /OBSERVATION = totalpeoc totremun prodtota consint valag deprecia fbkf_1
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (k+totalpeoc+totremun+prodtota+consint+valag+deprecia+fbkf_1)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 1-B'
           ' NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,' 
           + 'DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C1-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 2. PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS.

*C2-SECCIN.
TABLES
  /OBSERVATION = v5088 v5089 totalpeoc v5172 v5173 v5174 v5175 v5176 v5177 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ cod_letra BY v5088 + v5089 + totalpeoc + v5172 + v5173 + v5174 + v5175 + v5176 + v5177
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-A'
           'PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C2-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C2-TAMAO.
TABLES
  /OBSERVATION = v5088 v5089 totalpeoc v5172 v5173 v5174 v5175 v5176 v5177 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ cod_tamano BY v5088 + v5089 + totalpeoc + v5172 + v5173 + v5174 + v5175 + v5176 + v5177
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-B'
           'PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS, SEGN TAMAO DE EMPRESA'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C2-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C2-CATEGORAS DE OCUPACIN.
***Grupo 1***.
COMPUTE ciuo=1.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5007=peocuh.
RENAME VARIABLES v5008=peocum.
RENAME VARIABLES v5009=totpeocu.
RENAME VARIABLES v5091=hotranorma.
RENAME VARIABLES v5092=hotraextra.
RENAME VARIABLES v5093=tothotraba.
RENAME VARIABLES v5094=suelsanovhom.
RENAME VARIABLES v5095=suelsanovmuje.
RENAME VARIABLES v5096=totsuelsanov.
VARIABLE LABELS peocuh 'Total hombres'.
VARIABLE LABELS peocum 'Total mujeres'.
VARIABLE LABELS totpeocu 'Total de Personal Ocupado'.
VARIABLE LABELS hotranorma 'Total horas normales trabajadas en el mes de noviembre'.
VARIABLE LABELS hotraextra 'Total horas extras trabajadas en el mes de noviembre'.
VARIABLE LABELS tothotraba 'Total Horas Trabajadas'.
VARIABLE LABELS suelsanovhom 'Total Sueldos y Salarios Pagados Noviembre - Hombres'.
VARIABLE LABELS suelsanovmuje 'Total Sueldos y Salarios Pagados Noviembre - Mujeres'.
VARIABLE LABELS totsuelsanov 'Total Sueldos y Salarios Pagados en el mes de Noviembre'.
EXECUTE.

SAVE OUTFILE='C:\Tabulados Estructural\GO1.sav'/KEEP ciuo peocuh peocum totpeocu hotranorma 
hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 2***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=2.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5016=peocuh.
RENAME VARIABLES v5017=peocum.
RENAME VARIABLES v5018=totpeocu.
RENAME VARIABLES v5100=hotranorma.
RENAME VARIABLES v5101=hotraextra.
RENAME VARIABLES v5102=tothotraba.
RENAME VARIABLES v5103=suelsanovhom.
RENAME VARIABLES v5104=suelsanovmuje.
RENAME VARIABLES v5105=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO2.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5025=peocuh.
RENAME VARIABLES v5026=peocum.
RENAME VARIABLES v5027=totpeocu.
RENAME VARIABLES v5109=hotranorma.
RENAME VARIABLES v5110=hotraextra.
RENAME VARIABLES v5111=tothotraba.
RENAME VARIABLES v5112=suelsanovhom.
RENAME VARIABLES v5113=suelsanovmuje.
RENAME VARIABLES v5114=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.


***Grupo 4***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.						

COMPUTE ciuo=4.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5034=peocuh.
RENAME VARIABLES v5035=peocum.
RENAME VARIABLES v5036=totpeocu.
RENAME VARIABLES v5118=hotranorma.
RENAME VARIABLES v5119=hotraextra.
RENAME VARIABLES v5120=tothotraba.
RENAME VARIABLES v5121=suelsanovhom.
RENAME VARIABLES v5122=suelsanovmuje.
RENAME VARIABLES v5123=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO4.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 5***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=5.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5043=peocuh.
RENAME VARIABLES v5044=peocum.
RENAME VARIABLES v5045=totpeocu.
RENAME VARIABLES v5127=hotranorma.
RENAME VARIABLES v5128=hotraextra.
RENAME VARIABLES v5129=tothotraba.
RENAME VARIABLES v5130=suelsanovhom.
RENAME VARIABLES v5131=suelsanovmuje.
RENAME VARIABLES v5132=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO5.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 6***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=6.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5052=peocuh.
RENAME VARIABLES v5053=peocum.
RENAME VARIABLES v5054=totpeocu.
RENAME VARIABLES v5136=hotranorma.
RENAME VARIABLES v5137=hotraextra.
RENAME VARIABLES v5138=tothotraba.
RENAME VARIABLES v5139=suelsanovhom.
RENAME VARIABLES v5140=suelsanovmuje.
RENAME VARIABLES v5141=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO6.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 7***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=7.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5061=peocuh.
RENAME VARIABLES v5062=peocum.
RENAME VARIABLES v5063=totpeocu.
RENAME VARIABLES v5145=hotranorma.
RENAME VARIABLES v5146=hotraextra.
RENAME VARIABLES v5147=tothotraba.
RENAME VARIABLES v5148=suelsanovhom.
RENAME VARIABLES v5149=suelsanovmuje.
RENAME VARIABLES v5150=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO7.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 8***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=8.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5070=peocuh.
RENAME VARIABLES v5071=peocum.
RENAME VARIABLES v5072=totpeocu.
RENAME VARIABLES v5154=hotranorma.
RENAME VARIABLES v5155=hotraextra.
RENAME VARIABLES v5156=tothotraba.
RENAME VARIABLES v5157=suelsanovhom.
RENAME VARIABLES v5158=suelsanovmuje.
RENAME VARIABLES v5159=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO8.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 9***.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=9.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5079=peocuh.
RENAME VARIABLES v5080=peocum.
RENAME VARIABLES v5081=totpeocu.
RENAME VARIABLES v5163=hotranorma.
RENAME VARIABLES v5164=hotraextra.
RENAME VARIABLES v5165=tothotraba.
RENAME VARIABLES v5166=suelsanovhom.
RENAME VARIABLES v5167=suelsanovmuje.
RENAME VARIABLES v5168=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO9.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Unificacin de archivos - Grupos de Ocupacin****.

GET FILE='C:\Tabulados Estructural\GO1.sav'.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO2.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO4.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO5.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO6.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO7.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO8.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO9.sav'.
EXECUTE.

FORMATS ciuo (F1.0).
VALUE LABELS ciuo 
1 'Directores y Gerentes'
2 'Profesionales, Cientficos e Intelectuales'
3 'Tcnicos y Profesionales de nivel medio'
4 'Personal de Apoyo Administrativo / Empleados de Oficina'
5 'Trabajadores de los Servicios y Vendedores de Comercios y Mercados'
6 'Agricultores y Trabajadores Calificados Agropecuarios, Forestales y Pesqueros'
7 'Oficiales, Operarios y Artesanos de artes Mecnicas y de otros oficios'
8 'Operadores de Instalaciones y Mquinas y Ensambladores'
9 'Trabajadores no calificados, Ocupaciones elementales'.
EXECUTE.

COMPUTE K=1.
VARIABLE LABELS K 'Total'.
VALUE LABELS K 1'Nacional'.
EXECUTE.

SAVE OUTFILE='C:\Tabulados Estructural\BDD_PO_CIUO.sav'.

*CUADRO DE RESULTADO* .

WEIGHT by f_exp.

TABLES
  /OBSERVATION = peocuh peocum totpeocu hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ ciuo BY peocuh + peocum + totpeocu + hotranorma + hotraextra + tothotraba + suelsanovhom + suelsanovmuje + totsuelsanov
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-C'
           ' PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS, SEGN GRUPOS DE OCUPACIN (CIUO 08. REV.)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C2-C'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

WEIGHT by f_exp.

*****
*CUADRO 3. REMUNERACIONES.

*C3-SECCIN.
TABLES
  /OBSERVATION =v1082 v1085 v1088 otrrem
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (v1082+v1085+v1088+otrrem)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 3-A'
           'REMUNERACIONES, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C3-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C3-TAMAO.
TABLES
  /OBSERVATION =v1082 v1085 v1088 otrrem
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (v1082+v1085+v1088+otrrem)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 3-B'
           'REMUNERACIONES, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C3-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


**CUADRO 4. PRODUCCIN TOTAL.

*C4-SECCIN.
TABLES
  /OBSERVATION =prodtota v2001 v_merc v2004 oingxser Cbnp varexisbt varexism v4146 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (prodtota+v2001+v_merc+v2004+oingxser+Cbnp+varexisbt+varexism+v4146 )
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 4-A'
           'PRODUCCIN TOTAL, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C4-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C4-TAMAO.
TABLES
  /OBSERVATION =prodtota v2001 v_merc v2004 oingxser Cbnp varexisbt varexism v4146 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (prodtota+v2001+v_merc+v2004+oingxser+Cbnp+varexisbt+varexism+v4146 )
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 4-B'
           'PRODUCCIN TOTAL, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C4-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
CUADRO 5. CONSUMO INTERMEDIO.

*C5-SECCIN.
TABLES
  /OBSERVATION =consint totinsum matprima repacces gasopera otrgasop
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (consint+totinsum+matprima+repacces+gasopera+otrgasop)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 5-A'
           'CONSUMO INTERMEDIO, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C5-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C5-TAMAO.
TABLES
  /OBSERVATION =consint totinsum matprima repacces gasopera otrgasop
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (consint+totinsum+matprima+repacces+gasopera+otrgasop)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 5-B'
           'CONSUMO INTERMEDIO, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C5-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 6. VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS.

*C6-SECCIN.
TABLES
  /OBSERVATION =v9105 v9058 v9059 v9062 v9063 v9066 v9067 v9070 v9071 v9074 v9075 v9078 v9079 v9082 v9083 v9086 v9087 v9090 v9091 v9094 v9095 v9098 v9099 v9102 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (v9105+v9058+v9059+v9062+v9063+v9066+v9067+v9070+v9071+v9074+v9075+v9078+v9079+v9082+v9083+v9086+v9087+v9090+v9091+v9094+v9095+v9098+v9099+v9102)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 6-A'
           'VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C6-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C6-TAMAO.
TABLES
  /OBSERVATION =v9105 v9058 v9059 v9062 v9063 v9066 v9067 v9070 v9071 v9074 v9075 v9078 v9079 v9082 v9083 v9086 v9087 v9090 v9091 v9094 v9095 v9098 v9099 v9102
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (v9105+v9058+v9059+v9062+v9063+v9066+v9067+v9070+v9071+v9074+v9075+v9078+v9079+v9082+v9083+v9086+v9087+v9090+v9091+v9094+v9095+v9098+v9099+v9102)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 6-B'
           'VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C6-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 7. VALOR Y CANTIDAD DE ENERGA ELCTRICA.

*C7-SECCIN.
TABLES
  /OBSERVATION =vtee veepyc v9002 ceepyc v9001
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (vtee+veepyc+v9002+ceepyc+v9001)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 7-A'
           'VALOR Y CANTIDAD DE ENERGA ELCTRICA, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C7-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C7-TAMAO.
TABLES
  /OBSERVATION =vtee veepyc v9002 ceepyc v9001
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (vtee+veepyc+v9002+ceepyc+v9001)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 7-B'
           'VALOR Y CANTIDAD DE ENERGA ELCTRICA, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C7-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

****
*CUADRO 8. INDICADORES DE RELACIN.

*GENERACIN DE INDICADORES SECCIN.
*8-1.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1.sav'
  /BREAK=cod_letra
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2.sav'
  /BREAK=cod_letra
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-2.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3.sav'
  /BREAK=cod_letra
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-3.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4.sav'
  /BREAK=cod_letra
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-4.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0 and cod_letra ~= 'D').
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5.sav'
  /BREAK=cod_letra
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-5.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8S.sav'.

*C8-SECCIN.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=cod_letra BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-A'
           'INDICADORES DE RELACIN, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C8-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

*GENERACIN DE INDICADORES DE RELACIN - TAMAO.
*8-1.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1B.sav'
  /BREAK=cod_tamano
 /prodtota_sum 'Produccin total'=SUM(prodtota)
 /totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1B.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1B.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2B.sav'
  /BREAK=cod_tamano
/prodtota_sum 'Produccin total'=SUM(prodtota)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2B.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-2B.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3B.sav'
  /BREAK=cod_tamano
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3B.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-3B.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4B.sav'
  /BREAK=cod_tamano
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4B.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-4B.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0 and cod_letra ~= 'D').
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5B.sav'
  /BREAK=cod_tamano
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5B.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-5B.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1B.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2B.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3B.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4B.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5B.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8T.sav'.

*C8-TAMAO.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=cod_tamano BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-B'
           'INDICADORES DE RELACIN, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C8-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 8. INDICADORES DE RELACIN NACIONAL.

*GENERACIN DE INDICADORES SECCIN.
*8-1.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

COMPUTE N=1.
VARIABLE LABELS N 'Nacional'.
VARIABLE LEVEL N (NOMINAL).
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1N.sav'
  /BREAK=N
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1N.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1N.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

COMPUTE N=1.
VARIABLE LABELS N 'Nacional'.
VARIABLE LEVEL N (NOMINAL).
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2N.sav'
  /BREAK=N
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2N.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-2N.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

COMPUTE N=1.
VARIABLE LABELS N 'Nacional'.
VARIABLE LEVEL N (NOMINAL).
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3N.sav'
  /BREAK=N
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3N.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-3N.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

COMPUTE N=1.
VARIABLE LABELS N 'Nacional'.
VARIABLE LEVEL N (NOMINAL).
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4N.sav'
  /BREAK=N
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4N.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-4N.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2019_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0 and cod_letra ~= 'D').
FILTER BY filter_$.
EXECUTE.

COMPUTE N=1.
VARIABLE LABELS N 'Nacional'.
VARIABLE LEVEL N (NOMINAL).
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5N.sav'
  /BREAK=N
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5N.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-5N.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1N.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2N.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3N.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4N.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5N.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8SN.sav'.

*C8-SECCIN.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=N BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-NACIONAL'
           'PRINCIPALES INDICADORES DE RELACIN, A NIVEL NACIONAL'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT= VISIBLE 
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=MODIFYSHEET SHEET='C8-A'
     LOCATION= LASTROW NOTESCAPTIONS=NO.
OUTPUT CLOSE *.

*C8-SECCIN.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=N BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-NACIONAL'
           'PRINCIPALES INDICADORES DE RELACIN, A NIVEL NACIONAL'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2019'.

OUTPUT EXPORT
  /CONTENTS  EXPORT= VISIBLE 
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2019_TABULADOS'
     OPERATION=MODIFYSHEET SHEET='C8-B'
     LOCATION= LASTROW NOTESCAPTIONS=NO.
OUTPUT CLOSE *.

